#!/bin/bash
##
#

LOCALBIN="/usr/bin"
LOCALCONF="/etc"
LOCALSafe="/etc/init.d"
BIGNAME="sslvpn_client_linux"
CPU_type=`uname -m`
cp sslvpn.conf $LOCALCONF/
cp SafeConnect.sh $LOCALSafe/
chown root $LOCALSafe/SafeConnect.sh
chmod +x $LOCALSafe/SafeConnect.sh

ln -s $LOCALSafe/SafeConnect.sh /etc/rc0.d/K20SafeConnect.sh &> /dev/null
ln -s $LOCALSafe/SafeConnect.sh /etc/rc1.d/K20SafeConnect.1 or 2 or 3sh &> /dev/null
ln -s $LOCALSafe/SafeConnect.sh /etc/rc6.d/K20SafeConnect.sh &> /dev/null

ln -s $LOCALSafe/SafeConnect.sh /etc/rc2.d/S20SafeConnect.sh &> /dev/null
ln -s $LOCALSafe/SafeConnect.sh /etc/rc3.d/S20SafeConnect.sh &> /dev/null
ln -s $LOCALSafe/SafeConnect.sh /etc/rc4.d/S20SafeConnect.sh &> /dev/null
ln -s $LOCALSafe/SafeConnect.sh /etc/rc5.d/S20SafeConnect.sh &> /dev/null
if [ $CPU_type = 'mips64' ]
then
cp sslvpn_client_linuxmips64 $LOCALBIN/$BIGNAME
	chown root $LOCALBIN/$BIGNAME
	chmod +s $LOCALBIN/$BIGNAME
	
	mkdir -p /usr/lib/sslvpn_client_lib_mips64
	cp ./lib/mips64/* /usr/lib/sslvpn_client_lib_mips64/
elif [ $CPU_type = 'aarch64' ] 
then
	cp sslvpn_client_linuxaarch64 $LOCALBIN/$BIGNAME
	chown root $LOCALBIN/$BIGNAME
	chmod +s $LOCALBIN/$BIGNAME
	
	mkdir -p /usr/lib/sslvpn_client_lib_aarch64
	cp ./lib/aarch64/* /usr/lib/sslvpn_client_lib_aarch64/
elif [ $(getconf WORD_BIT) = '32' ] && [ $(getconf LONG_BIT) = '64' ] 
then
		cp sslvpn_client_linux64 $LOCALBIN/$BIGNAME
		chown root $LOCALBIN/$BIGNAME
		chmod +s $LOCALBIN/$BIGNAME
		
		mkdir -p /usr/lib/sslvpn_client_lib_x64
		cp ./lib/x64/* /usr/lib/sslvpn_client_lib_x64/
else 	
	cp sslvpn_client_linux $LOCALBIN/$BIGNAME
	chown root $LOCALBIN/$BIGNAME
	chmod +s $LOCALBIN/$BIGNAME
	
	mkdir -p /usr/lib/sslvpn_client_lib_x86
	cp ./lib/x86/* /usr/lib/sslvpn_client_lib_x86/
fi 

echo "Install sslvpn client OK!!!"
