#!/bin/bash
##
#

LOCALBIN="/usr/bin"
LOCALCONF="/etc"
LOCALSafe="/etc/init.d"
BIGNAME="sslvpn_client_linux"
CPU_type=`uname -m`
$LOCALBIN/$BIGNAME -d &> /dev/null

rm -f  /etc/rc0.d/K20SafeConnect.sh &> /dev/null
rm -f  /etc/rc1.d/K20SafeConnect.sh &> /dev/null
rm -f  /etc/rc6.d/K20SafeConnect.sh &> /dev/null

rm -f  /etc/rc2.d/S20SafeConnect.sh &> /dev/null
rm -f  /etc/rc3.d/S20SafeConnect.sh &> /dev/null
rm -f  /etc/rc4.d/S20SafeConnect.sh &> /dev/null
rm -f  /etc/rc5.d/S20SafeConnect.sh &> /dev/null
 
rm $LOCALCONF/sslvpn.conf
rm $LOCALSafe/SafeConnect.sh
rm /tmp/dpsslvpn.log &> /dev/null

if [ $CPU_type = 'mips64' ] 
then
	rm $LOCALBIN/$BIGNAME
	rm -rf /usr/lib/sslvpn_client_lib_mips64/
elif [ $CPU_type = 'aarch64' ] 
then
	rm $LOCALBIN/$BIGNAME
	rm -rf /usr/lib/sslvpn_client_lib_aarch64/
elif [ $(getconf WORD_BIT) = '32' ] && [ $(getconf LONG_BIT) = '64' ] 
then
	rm $LOCALBIN/$BIGNAME
	rm -rf /usr/lib/sslvpn_client_lib_x64/
	
else 	
	rm $LOCALBIN/$BIGNAME
	rm -rf /usr/lib/sslvpn_client_lib_x86/
fi 

echo "Uninstall sslvpn client OK!!!"

